/* --------------------- 
Large desktop :1200px.
--------------------- */

@media (min-width: 1200px) and (max-width: 1300px) {

    .full-video-section {
        width: 100%;
        position: relative;
        padding-left: 0;
    }

    .small-tri-shape.shape-3 img {
        right: -30px;
    }

    .full-video-section {
        width: 100%;
        padding-left: 60px;
    }

    .small-tri-shape.shape-3 img {
        right: -77px;
    }

}


/* --------------------- 
Normal desktop :992px. 
--------------------- */
@media (min-width: 992px) and (max-width: 1199px) {

    .main-menu li a {
        padding: 32px 8px 32px 8px;
    }

    .slider-content h1 {
        font-size: 45px;
        line-height: 60px;
        margin-bottom: 20px;
    }

    .full-video-section {
        width: 100%;
        padding-left: 20px;
    }

    .video-inner-bg {
        height: 500px;
    }

    .small-tri-shape.shape-3 img {
        right: -30px;
    }

    .header-wrap.home-four-header {
        position: relative;
    }

    .home-three-bg-vector-1 img {
        right: -16px;
        width: 550px;
        top: auto;
        bottom: -150px;
    }

    .home-three-bg-vector-2 img {
        right: -16px;
        width: 550px;
        top: auto;
        bottom: -170px;
    }

    .header-wrap.home-four-header .main-header {
        background: #fff;
        box-shadow: 0px 3px 20px 0px rgba(217, 217, 217, 0.65);
    }

    .main-header.header-sticky.sticky-menu {
        box-shadow: none;
    }

    .home-four-header-white {
        box-shadow: none;
    }

    .home-four-banner .banner-inner-section {
        padding-top: 230px;
    }

    .single-service-item {
        padding: 50px 30px 35px;
    }

    .experience-content-right h3 {
        font-size: 30px;
    }

    .home-two-experience-bg-1 {
        height: 450px;
        width: 450px;
    }

    .home-two-experience-bg.home-two-experience-bg-2 {
        height: 200px;
        width: 200px;
        left: -25px;
    }

    .home-two-experience-shape {
        height: 200px;
        width: 200px;
        top: 52px;
        left: -30px;
    }

    .home-four-experience .home-two-experience-bg.home-two-experience-bg-2 {
        bottom: 0px;
    }

    .left-experience-bg {
        height: 520px;
    }

    .left-designation-text {
        left: -23%;
    }

    .home-3-portfolio-area.section-padding {
        padding: 120px 0px 90px 0px;
    }

    .homw-two-testimonial {
        margin-left: 0px;
        padding: 100px 45px 80px 45px;
    }

    .homw-two-testimonial .testimonial-quote-right {
        left: -33px;
    }

    .full-testimonial-wrap .owl-dots {
        right: -145px;
    }

    .sigle-service-details-graph img {
        max-width: 100%;
    }

    .single-service-details-short-text p {
        margin-bottom: 0;
    }

    .member-full-bg .single-man-img {
        max-width: 100%;
    }

    .home-two-blog .blog-content {
        padding: 30px 20px;
    }

    .home-three-blog .blog-content {
        padding: 30px 30px 30px 300px;
    }

    .home-three-blog .bottom-info {
        margin-top: 90px;
    }

    .home-four-newsletter-form.subscribe-area {
        width: 68%;
    }

    .home-four-newsletter-form.subscribe-area input[type=submit] {
        padding: 21px 40px 22px 40px;
    }

    .home-four-blog .blog-content a h4 {
        font-size: 22px;
    }

    .home-four-blog .author-info img {
        width: 35px;
        height: 35px;
        margin-right: 8px;
    }

    .page-mar-desktop {
        margin-bottom: 30px;
    }

    .author-info h6 {
        font-weight: 600;
        margin: 11px 0px;
    }

    .home-four-blog .author-info h6 {
        font-size: 13px;
    }

    .home-four-blog .blog-content a {
        font-size: 12px;
    }

    .home-four-blog .blog-btn {
        width: 40%;
    }

    .product-content-wrap .product-review span i {
        font-size: 12px;
    }

    .checkbox label {
        font-size: 15px;
    }

    .contact-us-left .left-full-img img {
        right: 0;
        width: 100%;
    }


}

/* ---------------------
Tablet desktop :768px. 
--------------------- */
@media (min-width: 768px) and (max-width: 991px) {

    .sticky-menu .mean-container a.meanmenu-reveal {
        color: #ffffff;
    }

    .sticky-menu .mean-container a.meanmenu-reveal span {
        background: #ffffff ;
    } 

    .mean-container .mean-bar {
        position: absolute;
        left: 0;
        margin-top: -85px;
    }

    .main-header .logo {
        margin: 20px 0px;
    }

    .header-left-contact-info {
        text-align: center;
    }

    .social-icon-inner.header-top-icon.text-right {
        text-align: center !important;
    }

    .header-wrap.home-four-header .main-header {
        background: #fff;
        box-shadow: 0px 3px 20px 0px rgba(217, 217, 217, 0.65);
    }

    .main-header.header-sticky.sticky-menu {
        box-shadow: none;
    }

    .home-four-header-white {
        box-shadow: none;
        min-height: auto;
    }

    .search-area {
        display: none;
    }

    .slider-content h1 {
        font-size: 35px;
        line-height: 48px;
        margin-bottom: 20px;
    }

    .slider-content h4 {
        font-size: 18px;
        line-height: 30px;
    }

    .single-slide {
        min-height: auto;
    }

    .full-video-section {
        width: 100%;
        padding-left: 0;
    }

    .video-inner-bg {
        height: 400px;
    }

    .small-tri-shape.shape-3 img {
        right: -40px;
    }

    .home-three-bg-vector-1 img {
        display: none;
    }

    .home-three-bg-vector-2 img {
        display: none;
    }

    .header-wrap.home-four-header {
        position: relative;
    }

    .home-four-right-banner {
        max-width: 40%;
    }

    .home-four-banner .banner-inner-section {
        padding-top: 150px;
    }

    .left-experience-bg {
        height: 540px;
    }

    .home-four-experience .home-two-experience-bg.home-two-experience-bg-2 {
        bottom: 100px;
    }

    .section-padding {
        padding: 100px 0;
    }

    .single-service-item {
        padding: 50px 30px 35px;
    }

    .experience-content-right .experience-big-title {
        font-size: 40px;
        line-height: 45px;
        margin-bottom: 20px;
    }

    .experience-content-right a.exp-link {
        font-size: 16px;
        margin-bottom: 0px;
    }

    .experience-content-right h3 {
        font-size: 22px;
        margin-bottom: 10px;
    }

    .home-two-experience-shape {
        height: 150px;
        width: 150px;
        top: 24px;
        left: -30px;
    }

    .home-two-experience-bg.home-two-experience-bg-2 {
        height: 200px;
        width: 200px;
        left: -30px;
    }

    .home-two-experience-bg-1 {
        height: 350px;
        width: 350px;
    }

    .left-designation-text {
        left: -19%;
    }

    .full-testimonial-wrap .owl-dots {
        position: absolute;
        right: 0;
        top: auto;
        bottom: -95px;
        transform: translateX(-50%);
        -webkit-transform: translateX(-50%);
        -moz-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        -o-transform: translateX(-50%);
    }

    .full-testimonial-wrap .owl-dots div {
        display: inline-block;
        margin: 0px 2px 0px 2px;
    }

    .full-testimonial-wrap .owl-dots img {
        height: 60px;
        width: 60px;
    }

    .homw-two-testimonial .testimonial-quote-right {
        left: -35px;
    }

    .homw-two-testimonial {
        margin-left: 0px;
        padding: 70px 45px 140px 45px
    }

    .home-four-newsletter-form.subscribe-area {
        width: 85%;
    }

    .video-inner-bg.home-four-video-wrap {
        height: 400px;
        margin-top: 40px;
    }

    .blog-content a h2 {
        font-size: 22px;
        margin-bottom: 15px;
        line-height: 26px;
    }

    .single-blog-post.mini-blog .blog-content a h2 {
        font-size: 20px;
    }

    .full-page-reverse {
        display: flex;
        flex-direction: column-reverse;
    }

    .sigle-service-details-graph img {
        max-width: 100%;
    }

    .breadcrumb-title .breadcrumb-large-title {
        font-size: 32px;
        margin-bottom: 10px;
    }

    .breadcrumb-title a:after {
        font-size: 14px;
        top: 0px;
    }

    .single-service-details-big-bg {
        height: 400px;
    }

    .portfolio-all-details-wrap {
        padding: 100px 0px 40px 0px;
    }

    .single-portfolio-details-bg {
        height: 400px;
    }

    .portfolio-short-text-content h2 {
        font-size: 30px;
    }

    .right-side-portfolio-details-video {
        margin-top: 40px;
    }

    .member-full-bg {
        text-align: center;
        margin-bottom: 40px;
    }

    .portfolio-details-video-wrap {
        padding: 25px 0px 100px 0px;
    }

    .blog-full-bg {
        height: 260px;
    }

    .blog-content p {
        line-height: 26px;
    }

    .author-info {
        width: 60%;
    }

    .author-info img {
        width: 35px;
        height: 35px;
        margin-right: 8px;
    }

    .author-info h6 {
        margin: 9px 0;
        font-size: 14px;
    }

    .blog-btn {
        width: 39%;
    }

    .blog-content a {
        font-size: 15px;
    }

    .home-four-blog .blog-content a h4 {
        font-size: 22px;
    }

    .footer-bottom-comtent a img {
        width: 100px;
    }

    .page-mar-all {
        margin-bottom: 30px;
    }

    .right-side-blog.shop-wrap {
        margin-top: 50px;
    }

    .right-side-blog {
        margin-top: 70px;
    }

    .blog-section-bg,
    .single-blog-audio-wrap iframe {
        height: 350px;
    }

    .contact-us-left .left-full-img img {
        right: 0;
        width: 100%;
    }

    .contact-us.section-padding {
        padding: 100px 0px 0px 0px;
    }

    .contact-us-right .submission-form-inner {
        padding: 0px 0px 100px 0px;
    }


}

/* ---------------------
Small mobile :320px. 
--------------------- */
@media (max-width: 767px) {

    .sticky-menu .mean-container a.meanmenu-reveal {
        color: #ffffff;
    }

    .sticky-menu .mean-container a.meanmenu-reveal span {
        background: #ffffff ;
    }

    .mean-container .mean-bar {
        position: absolute;
        left: 0;
        margin-top: -85px;
    }

    .header-left-contact-info {
        text-align: center;
    }

    .social-icon-inner.header-top-icon.text-right {
        text-align: center !important;
    }

    .home-four-header-white {
        min-height: 70px;
    }

    .home-four-right-banner {
        display: none;
    }

    .home-four-banner .banner-inner-section {
        padding-top: 180px;
        padding-bottom: 60px;
    }

    .home-four-top--pattern {
        top: 80px;
    }

    .main-header .logo {
        margin: 20px 0px;
    }

    .search-area {
        display: none;
    }

    .small-tri-shape.shape-3 img {
        right: -15px;
    }

    .slider-content h1 {
        font-size: 30px;
        line-height: 40px;
        margin-bottom: 15px;
    }

    .slider-content h4 {
        font-size: 18px;
        line-height: 30px;
        margin-bottom: 30px;
    }

    .full-video-section {
        width: 100%;
        padding-left: 0;
        margin-top: 60px;
    }

    .video-inner-bg {
        height: 330px;
    }

    .banner-right-shape {
        display: none;
    }

    .home-three-bg-vector-1 img {
        display: none;
    }

    .home-three-bg-vector-2 img {
        display: none;
    }

    .left-shape {
        display: none;
    }

    .banner-inner-section {
        padding: 80px 0;
    }

    .home-two-slider .owl-dots img {
        width: 65px;
        height: 65px;
    }

    .home-two-slider .btn.common-btn {
        padding: 18px 10px;
    }

    .single-slide {
        min-height: auto;
    }

    .section-padding {
        padding: 80px 0;
    }

    .home-3-portfolio-area.section-padding {
        padding: 80px 0px 60px 0px;
    }

    .portfolio-home2-inner-content a {
        font-size: 20px;
    }

    .section-title .section-large-title {
        font-size: 30px;
    }

    .section-title h2 {
        font-size: 30px;
    }

    .section-title {
        margin-bottom: 50px;
    }

    .section-title.home-three-section-title {
        margin-bottom: 50px;
    }

    .home-two-service .section-title {
        margin-bottom: 100px;
    }

    .mar-ser-none {
        margin-bottom: 0px !important;
    }

    .page-mar-all {
        margin-bottom: 30px;
    }

    .service-mar-mobile {
        margin-bottom: 100px;
    }

    .left-experience-bg {
        height: 360px;
    }

    .experience-content-right {
        padding-left: 0;
    }

    .experience-content-right {
        padding-left: 0;
        margin-top: 70px;
    }

    .experience-content-right .experience-big-title {
        font-size: 35px;
        line-height: 42px;
        margin-bottom: 15px;
    }

    .experience-content-right a.exp-link {
        margin-bottom: 0;
        line-height: 28px;
    }

    .left-inner-shape {
        left: 0;
    }

    .experience-area.section-padding {
        padding: 80px 0;
    }

    .experience-content-right h3 {
        font-size: 24px;
        margin-bottom: 10px;
    }

    .home-two-experience-bg.home-two-experience-bg-2 {
        height: 200px;
        width: 200px;
        left: 25px;
    }

    .home-four-experience .home-two-experience-bg.home-two-experience-bg-2 {
        bottom: -10px;
    }

    .home-two-experience-shape {
        height: 200px;
        width: 200px;
        top: 10px;
        left: -50px;
    }

    .home-two-experience .experience-content-right {
        margin-top: 40px;
    }

    .home-two-experience-bg-1 {
        height: 280px;
        width: 280px;
        margin: 0 auto;
    }

    .left-experience-bg.home-three-experience img {
        max-width: 100%;
    }

    .left-experience-bg.home-three-experience {
        height: 250px;
    }

    .experience-area.section-padding.home-three-experience {
        padding-bottom: 80px;
    }

    .home-three-experience .experience-content-right {
        margin-top: 0;
    }

    .about-us-page .square-social-link a {
        height: 45px;
        width: 45px;
        line-height: 45px;
        font-size: 20px;
    }

    .home-three-video .experience-content-right {
        margin-top: 0;
    }

    .video-inner-bg.home-three-video-wrap {
        height: 300px;
        margin-top: 50px;
    }

    .testimonial-two-carousel .owl-dots {
        margin-top: 30px;
    }

    .btn.common-btn {
        padding: 18px 30px;
    }

    .breadcrumb-area .row {
        height: 270px;
    }

    .countdown-title h3 {
        font-size: 24px;
        line-height: 33px;
        margin-bottom: 15px;
    }

    .countdown-title p {
        margin: 0;
    }

    .single-countdown-wrap {
        text-align: center;
    }

    .portfolio-gallery-wrap.owl-carousel:hover .owl-nav .owl-prev {
        left: 50px;
    }

    .portfolio-gallery-wrap.owl-carousel:hover .owl-nav .owl-prev {
        right: 50px;
    }

    .left-designation-text {
        left: -20%;
    }

    .mar-none {
        margin-bottom: 0px;
    }

    .full-testimonial-wrap .owl-dots {
        display: none;
    }

    .homw-two-testimonial .testimonial-quote-right {
        display: none;
    }

    .home-four-newsletter-form.subscribe-area {
        width: 100%;
    }

    .home-four-newsletter-form.subscribe-area input[type=email] {
        width: 100%;
    }

    .homepage-four-faq .card-header .card-title button.btn-link {
        font-size: 12px;
        line-height: 21px;
    }

    .full-page-reverse {
        display: flex;
        flex-direction: column-reverse;
    }

    .breadcrumb-title .breadcrumb-large-title {
        font-size: 32px;
        margin-bottom: 10px;
    }

    .single-service-details-big-bg {
        height: 200px;
    }

    .breadcrumb-title a:after {
        font-size: 14px;
        top: 0px;
    }

    .sigle-service-details-graph img {
        max-width: 100%;
    }

    .sigle-service-details-graph {
        margin-bottom: 30px;
        margin-top: 20px;
    }

    .single-service-details-contact {
        padding: 0 10px;
    }

    .single-service-details-content {
        padding-left: 10px;
    }

    .single-service-details-titie {
        font-size: 20px;
    }

    .single-service-details-short-text .single-service-details-title {
        font-size: 30px;
        margin-bottom: 15px;
    }

    .video-inner-bg.home-four-video-wrap {
        height: 300px;
        margin-top: 30px;
    }

    .member-full-bg {
        text-align: center;
        margin-bottom: 40px;
    }

    .top-shop-bar {
        text-align: center;
    }

    .product-view-mode {
        display: none;
    }

    .homw-two-testimonial {
        margin-left: 0px;
        padding: 50px 45px 50px 45px;
    }

    .blog-content a h2 {
        font-size: 20px;
        margin-bottom: 15px;
        line-height: 26px;
    }

    .blog-content a h4 {
        font-size: 20px;
    }

    .projects-list .col-md-4:nth-child(2) .single-project-list {
        height: 360px;
    }

    .portfolio-all-details-wrap {
        padding: 80px 0px 40px 0px;
    }

    .single-portfolio-details-bg {
        height: 300px;
    }

    .portfolio-short-text-content h2 {
        font-size: 28px;
    }

    .right-side-portfolio-details-video {
        margin-top: 40px;
        height: 300px;
    }

    .home-3-single-portfolio-wrap .portfolio-full-bg {
        height: 400px;
    }

    .single-footer-blog a {
        margin-top: 0;
    }

    .portfolio-details-video-wrap {
        padding: 25px 0px 80px 0px;
    }

    .member-full-bg .single-man-img {
        max-width: 100%;
    }

    .single-blog-post.mini-blog .blog-content a h2 {
        font-size: 20px;
    }

    /* .single-right-small-blog {
        padding: 30px 20px 35px 20px;
    } */

    .blog-full-bg {
        height: 260px;
    }

    .home-two-blog .blog-full-bg {
        height: 450px;
    }

    .blog-content p {
        line-height: 26px;
    }

    .home-two-blog .blog-content a h4 {
        font-size: 20px;
        line-height: 28px;
    }

    .home-two-blog .author-info img {
        width: 35px;
        height: 35px;
    }

    .author-info {
        width: 60%;
    }

    .author-info img {
        width: 35px;
        height: 35px;
        margin-right: 8px;
    }

    .single-home-two-testimonial .client-message p {
        font-size: 16px;
    }

    .home-two-blog .author-info h6,
    .home-two-blog .author-info h6 span {
        font-size: 12px;
    }

    .home-two-blog .read-more {
        font-size: 13px;
    }

    .author-info h6 {
        margin: 11px 0;
        font-size: 12px;
    }

    .blog-btn {
        width: 39%;
    }

    .blog-content a {
        font-size: 12px;
    }

    .home-three-blog .blog-content {
        padding: 15px 25px;
        position: static;
    }

    .home-three-blog .blog-full-bg {
        width: 100%;
        height: 260px;
        border-radius: 8px 8px 0px 0px;
        -webkit-border-radius: 8px 8px 0px 0px;
        -moz-border-radius: 8px 8px 0px 0px;
        -ms-border-radius: 8px 8px 0px 0px;
        -o-border-radius: 8px 8px 0px 0px;
    }

    .right-side-blog {
        margin-top: 70px;
    }

    .blog-section-bg,
    .single-blog-audio-wrap iframe {
        height: 250px;
    }

    .blog-sample-meta {
        padding: 30px 25px 30px 25px;
    }

    .blog-sample-bottom-content h3 {
        font-size: 20px;
        margin-bottom: 15px;
    }

    .single-right-small-blog.blog-recent-post .single-footer-blog a h5 {
        font-size: 16px;
    }

    .single-right-small-blog.blog-recent-post .date-footer {
        font-size: 14px;
    }

    .blog-sample-meta.standard-blog {
        padding: 30px 0 0px 0px;
    }

    .standard-short-content h3 {
        font-size: 20px;
    }

    .blog-sharelink-inner-wrap ul li a {
        padding: 8px;
    }

    .blog-sharelink-inner-wrap ul li {
        margin-bottom: 5px;
    }

    .blog-previous-next-post {
        padding: 30px 15px;
    }

    .blog-comments-section {
        margin-top: 30px;
    }

    .single-comment-wrap.second-comment {
        margin-left: 0;
    }

    .single-comment-wrap img {
        width: 75px;
        height: 75px;
    }

    .comments-content {
        padding-left: 85px;
    }

    .comments-content .reply a i {
        padding-right: 2px;
    }

    .comments-content span.comment-date {
        font-size: 11px;
    }

    .comments-content h6 {
        font-size: 16px;
    }

    .blog-contact-us-wrap {
        margin-top: 30px;
        padding: 30px 25px 30px 25px;
    }

    .blog-contact-us-wrap .submission-form-inner {
        padding: 20px 0px;
    }

    .comments-content .reply a {
        font-size: 13px;
    }

    .comments-content .reply {
        top: -5px;
    }

    .subscribe-area input[type="submit"] {
        padding: 23px 13px;
        position: static;
        width: 100%;
        margin-top: 10px;
        border-radius: 10px;
    }

    .mar-top {
        margin-top: 40px;
    }

    .page-mar-mobile {
        margin-bottom: 30px;
    }

    .service-100-mobile {
        margin-bottom: 100px;
    }

    .subscribe-area {
        margin-bottom: 50px;
    }

    .footer-bottom-comtent a img {
        width: 90px;
    }

    .footer-title {
        font-size: 28px;
    }

    .contact-us-left {
        display: none;
    }

    .contact-us.section-padding {
        padding: 80px 0px 0px 0px;
    }

    .contact-us-right .submission-form-inner {
        padding: 0px 0px 80px 0px;
    }

    .google-map-wrap iframe {
        height: 300px;
    }

    #scrollUp {
        right: 30px;
    }


}

/* ---------------------
Large Mobile :480px. 
--------------------- */
@media only screen and (min-width: 410px) and (max-width: 767px) {
    .left-designation-text {
        left: -16%;
    }

}
